Check Playbook Files' Reputation
POST /Command/CheckPlaybookFileReputation
Gets file names, scores with artifacts files IDs, and the files must be from artifacts, or there will be an error
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name
|
Type
|
Required/Optional
|
Description
|
|
Username
|
string
|
Required
|
The username of your D3 SOAR account.
|
|
Site
|
string
|
Required
|
The D3 SOAR site to run the remote command.
|
|
File IDs
|
array<integer>
|
Optional
|
The file IDs array
|
Body Sample Data
application/json
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"File IDs": [
1,
2
]
}
}
Response
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
error
|
string
|
The error message if the command execution failed.
|
|
returnData
|
string
|
The return data from the API request.
|
|
contextData
|
array<JSON Object>
|
The context data from the API request.
|
Sample Data
{
"error": "",
"returnData": "Succeed",
"contextData": [
{
"filename": "26633_19111804181900xx---IR-TEST-IR-xxxxxxx.pdf",
"risklevel": "Low"
},
{
"filename": "93588_19112116282355xx---ExcelExport (16).xlsx",
"risklevel": "Low"
}
]
}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The body of the request must be a valid JSON object"}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Invalid authentication key."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The request exceeds rate limits or is otherwise blocked by rate limiting policies."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Unexpected Error."}